/********************************************************************************
*                                                                               *
*                     O n - L i n e    H e l p   T e x t                        *
*                                                                               *
*********************************************************************************
* Copyright (C) 1998,2000 by Jeroen van der Zijp.   All Rights Reserved.        *
*********************************************************************************
* $Id: help.cpp,v 1.3 2000/07/14 16:01:38 jeroen Exp $                          *
********************************************************************************/
#include "help.h"
  
  
// Help text
const char help[]=
"\n"
"\n"
"                                FOX Text Editor On-line Help\n"
"\n"
"\n"
"Introduction.\n"
"\n"
"TextEdit is a handy little editor which is fast and easy to use. "
"It makes for a great file viewer, as well as a convenient editor for minor "
"editing tasks.\n"
"A nice feature of textedit is the ability to show a File Browser side by "
"side with the text.  Switching to another file is as easy as clicking on an icon in the "
"File Browser.\n"
"\n"
"\n"
"Starting a new document.\n"
"\n"
"To start a new document, invoke the New menu, or press on the New button on "
"the toolbar.\n"
"\n"
"\n"
"Opening and Saving Files.\n"
"\n"
"To open a file, you can invoke the Open menu, or press on the Open button on "
"the toolbar.  This will bring up the standard File Dialog, which allows you "
"to select a file.\n"
"To save a file, you can either invoke the Save or the Save As menu option. "
"The former saves the file back to the same filename, while the latter prompts "
"for an alternative filename.\n"
"\n"
"\n"
"The File Browser.\n"
"\n"
"An alternative method to open files is the File Browser. "
"You can display the File Browser by invoking the File Browser option under "
"the View menu.\n"
"To open a file using the File Browser, simply click on the file. "
"If there are many files, you may want to limit the number of files displayed "
"by specifying a file pattern in the Filter typein field.\n"
"The pattern is can be any regular file wildcard expression such as \"*.cpp\".\n"
"By default, the File Browser shows all files, i.e. the pattern is \"*\".\n"
"\n"
"\n"
"Recent File Menu.\n"
"\n"
"The recent file menu shows files which have been recently visited. "
"You can quickly get back to a file you've been editing simply by selecting "
"one of these recent files.\n"
"\n"
"\n"
"Mouse Selection.\n"
"\n"
"You can move the cursor by simply clicking on the desired location with the left mouse button. "
"To highlight some text, press the mouse and drag the mouse while holding the left button. "
"To select text a word at a time, you can double-click and drag; "
"to select text a line at a time, you can triple-click and drag.\n"
"Performing a shift-click extends the selection from the last cursor location to the "
"current one.\n"
"\n"
"\n"
"Text Drag and Drop\n"
"\n"
"With the middle mouse button, you can perform text drag-and-drop. "
"Simply press the middle mouse button over a piece of selected text and drag the mouse.\n"
"Within the same text window, the drag defaults to a text-movement.  You can change this to "
" a text copy by holding down the control key while you're dragging.\n"
"Between one text window and another, the drag defaults to a copy operation "
"you can change this to a text movement by holding down the shift key while dragging.\n"
"If some text has been selected anywhere on your screen, you can paste this into "
"the text buffer by pressing the middle mouse, moving to the desired insert location, "
"and then releasing the middle mouse.\n"
"\n"
"\n"
"Scrolling Text.\n"
"\n"
"Using the right mouse button, you can grab the text and scroll it. "
"a right mouse drag is a very convenient way to scroll the text buffer by small amount "
"as the scrolling is exactly proportional to the mouse movement.\n"
"You can of course also use the scroll bars.  Because scrolling becomes awkward when "
"dealing with large amounts of text, you can do a fine scroll or vernier-scroll by "
"holding the shift or control keys while moving the scroll bars.\n"
"\n"
"\n"
"The Clipboard.\n"
"\n"
"After selecting some text, you can cut or copy this text to the clipboard. "
"A subsequent paste operation will then insert the contents of the clipboard at "
"the current cursor location.\n"
"\n"
"\n"
"Keyboard Bindings.\n"
"\n"
"The following table lists the keyboard bindings.\n"
"\n"
"Key:\tAction:\n"
"====\t=======\n"
"\n"
"Up\tMove cursor up.\n"
"Shift+Up\tMove cursor up and extend selection.\n"
"Down\tMove cursor down.\n"
"Shift+Down\tMove cursor down and extend selection.\n"
"Left\tMove cursor left.\n"
"Shift+Left\tMove cursor left and extend selection.\n"
"Right\tMove cursor right.\n"
"Shift+Right\tMove cursor right and extend selection.\n"
"Home\tMove cursor to begin of line.\n"
"Shift+Home\tMove cursor to begin of line and extend selection.\n"
"Ctl+Home\tMove cursor to top of text.\n"
"End\tMove cursor to end of line.\n"
"Ctl+End\tMove cursor to bottom of text.\n"
"Shift+End\tMove cursor to end of line and extend selection.\n"
"Page Up\tMove cursor up one page.\n"
"Shift+Page Up\tMove cursor up one page and extend selection.\n"
"Page Down\tMove cursor down one page.\n"
"Shift+Page Down\tMove cursor down one page and extend selection.\n"
"Delete\tDelete character after cursor, or text selection.\n"
"Back Space\tDelete character before cursor, or text selection.\n"
"Ctl+A\tSelect all text.\n"
"Ctl+X\tCut selected text to clipboard.\n"
"Ctl+C\tCopy selected text to clipboard.\n"
"Ctl+V\tPaste text from clipboard.\n"
"Ctl+K\tDelete current line.\n"
"Ctl+H\tScroll current line to top of window.\n"
"Ctl+M\tScroll current line to center of window.\n"
"Ctl+L\tScroll current line to bottom of window.\n"
"\n"
"\n"
"Changing Font.\n"
"\n"
"You can change font by invoking the Font Selection Dialog from the Font menu. "
"The Font Dialog displays four list boxes showing the font Family, Weight, Style, "
"and Size of each font. \n"
"You can narrow down the number of fonts displayed by selecting a specific character "
"set, setwidth, pitch, and whether or not scalable fonts are to be listed only.\n"
"The All Fonts checkbutton causes all fonts to be listed. Use this feature if you "
"need to select old-style X11 bitmap fonts.\n"
"The Preview window shows a sample of text in the selected font.\n"
"\n"
"\n"
"Changing colors.\n"
"\n"
"The four color wells on the status line determine the color of the "
"selection background, selection foreground, and normal background and foreground "
"respectively.  Double clicking on a colorwell will bring up the Color Selection "
"Dialog. "
"The Color Selection Dialog sypports several ways to select a color: \n"
"\n"
"1\tBy means of Red, Green, and Blue mixing.\n"
"2\tBy means of Hue, Saturation, Value mixing.\n"
"3\tBy means of Cyan, Magenta, and Yellow mixing.\n"
"4\tBy name.\n"
"5\tUsing one of the predefined color wells.\n"
"\n"
"You can also drag and drop colors, and change the predefined colorwells "
"to hold your own custom color collections.\n"
"\n"
"\n"
"Configuration Issues.\n"
"\n"
"The File Browser keeps an association list in the registry database to associate "
"a particular file extension to an icon and other descriptive information. \n"
"The following is an example of how this could be filled in: \n"
"\n"
"  [SETTINGS]\n"
"  iconpath = /usr/share/icons:/home/jeroen/icons\n"
"\n"
"  [FILETYPES]\n"
"  cpp = \"/usr/local/bin/textedit %s &;C++ Source File;c_src.xpm;mini/c_src.xpm\"\n"
"\n"
"\n"
"This example shows how the extension \".cpp\" is bound to the program \"textedit\" "
"and is associated with two icons, a big icon \"c_src.xpm\" and a small icon \"mini/c_src.xpm\" "
"which are to be found in either directory \"/usr/share/icons\" or \"/home/jeroen/icons\".\n"
;
